> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Delete data for of user's account memberships

POST https://api-d.docusign.net/Management/v2/data_redaction/organizations/{organizationId}/user
Content-Type: application/json

Deletes data for one or more of a user's account memberships.

To call this endpoint:

- You must be an organization administrator (or delegated administrator) with permission to manage the specified accounts or the user's email domain.
- The user must have been closed for at least 24 hours.

**Note:** After a user's data is deleted for every account to which they belong, their user-level data will automatically be deleted.

[Required authentication scopes](/docs/admin-api/admin101/auth/): `user_data_redact`.

### Related topics

- [How to delete user data from one or more accounts as an organization admin](/docs/admin-api/how-to/org-admin-delete-user-data/)

Reference: https://developers.docusign.com/docs/admin-api/reference/usermanagement/datadeletion/redactindividualuserdata

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization ID Guid

### Body (application/json)

This endpoint expects an IndividualUserDataRedactionRequest.

- `memberships` (list of MembershipDataRedactionRequest, optional) — A list of accounts from which you want to delete the user's data. At least one account is required.
- `user_id` (string, optional) — The ID of the user whose data you want to delete.

## Response

### 200

OK

- `membership_results` (list of MembershipDataRedactionResponse, optional) — A list of objects describing the status of the deletion request for each account.
- `status` (enum, optional) — The overall status of the data deletion request.
  - Allowed values: `unknown`, `pending`, `failure`, `success`, `already_redacted`
- `user_id` (string, optional) — The ID of the user.

## Types

### MembershipDataRedactionRequest

- `account_id` (string, optional) — The ID of the account from which to delete the user's data.

### MembershipDataRedactionResponse

An object describing the status of the data deletion request for a specific account.

- `account_id` (string, optional) — The ID of the account.
- `status` (enum, optional) — The status of the data deletion request. Valid values: - `success` - `pending` - `failure` - `already_redacted`
  - Allowed values: `unknown`, `pending`, `failure`, `success`, `already_redacted`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "membership_results": [
    {
      "account_id": "string",
      "status": "unknown"
    }
  ],
  "status": "unknown",
  "user_id": "string"
}
```